跳转到主要内容
POST
/
kling
/
v1
/
videos
/
image2video
Kling Image-to-Video Generation
curl --request POST \
  --url https://utoken-test.uuzu.com/kling/v1/videos/image2video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "image": "<string>",
  "duration": 123,
  "width": 123,
  "height": 123,
  "fps": 123,
  "seed": 123,
  "n": 123,
  "response_format": "<string>",
  "user": "<string>",
  "metadata": {}
}
'
{
  "task_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.utoken.wgame-hk.com/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx

请求体

application/json

Video generation request

model
string

Model/Style ID

示例:

"kling-v1"

prompt
string

Text description prompt

示例:

"An astronaut stood up and walked"

image
string

Image input (URL or Base64)

示例:

"https://example.com/image.jpg"

duration
number

Video duration (seconds)

示例:

5

width
integer

Video width

示例:

1280

height
integer

Video height

示例:

720

fps
integer

Video frame rate

示例:

30

seed
integer

Random seed

示例:

20231234

n
integer

Number of videos to generate

示例:

1

response_format
string

Response format

示例:

"url"

user
string

User identifier

示例:

"user-1234"

metadata
object

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

响应

Success - Video generation task created

Video generation task submission response

task_id
string

Task ID

示例:

"abcd1234efgh"

status
string

Task Status

示例:

"queued"